const db = wx.cloud.database().collection("teacher_Data")

// pages/Tprofile/Tprofile.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    tempFilePaths: {}
  },

  submit: (e) => {
    console.log(e.detail.value)

    db.add({
      data: e.detail.value,
      success: (res) => {
        console.log(res)
      }
    })
  },

  chooseFile: function() {
    var that = this
    wx.chooseMessageFile({
      count: 10,
      type: 'image',
      success: function(res) {
        // tempFilePath可以作为img标签的src属性显示图片
        that.setData({
          tempFilePaths: res.tempFiles
        })
        console.log(res.tempFiles);
        console.log(that.data.tempFilePaths[0].path);
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },

})